<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card">
        <div class="card-header bg-danger">
          <i class="fa fa-align-justify"></i> Daily Focus
        </div>
        <div class="card-body">
          <div class="m-3">
            <div class="container">
              <div class="row justify-content-md-center">
                <div class="col-sm-6 col-md-3 col-lg-3 my-1">
                  <button (click)="getAllRecords()" class="btn btn-warning btn-block" type="button">
                    <i aria-hidden="true" class="fa fa-refresh"></i>Refresh
                  </button>
                </div>
                <div class="col-sm-12 col-md-3 col-lg-3 my-1">
                  <button (click)="openModal(1, modal, null)" class="btn btn-primary btn-block" type="button">
                    <i aria-hidden="true" class="fa fa-plus"></i>Add
                  </button>
                </div>
              </div>
            </div>
          </div>
          <div class="table-responsive">
            <table class="table table-bordered table-striped">
              <thead class="bg-aeroman-gray">
              <tr class="text-white">
                <th scope="col">Aircraft</th>
                <th scope="col">Work Order</th>
                <th scope="col">Task</th>
                <th scope="col">Complete</th>
                <th scope="col">Reason</th>
                <th scope="col">Date</th>
                <th scope="col">Acciones</th>
              </tr>
              </thead>
              <tbody>
              <tr *ngFor="let element of this.records | paginate: configPage">
                <td>{{ element.aircraft }}</td>
                <td>{{ element.workOrder }}</td>
                <td>{{ element.task }}</td>
                <td>{{ element.complete }}</td>
                <td>{{ element.reason }}</td>
                <td>{{ element.dateId | date: 'dd/MM/yyyy' : 'UTC' }}</td>
                <td class="text-center">
                  <i (click)="openModal(2, modal, element)" class="fa fa-pencil-square-o fa-2x text-primary"
                     title="Editar"></i>
                  <i (click)="confirmation(element.id, deleteModal)" class="fa fa-times fa-2x text-danger"
                     title="Eliminar"></i>
                </td>
              </tr>
              </tbody>
            </table>
          </div>
          <div class="container">
            <div class="row justify-content-md-center">
              <div [hidden]="records.length === 0" class="col-12 col-md-6">
                <pagination-controls
                  (pageChange)="onPageChange($event)"
                  [id]="configPage.id"
                  [nextLabel]="'Siguiente'"
                  [previousLabel]="'Anterior'">
                </pagination-controls>
              </div>
              <div class="col-12 col-md-6">
                <label class="control">Records to show.:
                  <input [(ngModel)]="configPage.itemsPerPage" class="input" min="1"
                         style="width: 25%; text-align: center;" type="number">
                </label>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!--/.col-->
  </div>
  <!--/.row-->
</div>

<ng-template #modal>
  <div class="modal-content">
    <div class="modal-header">
      <h5 class="modal-title">{{ this.titleModal }}</h5>
    </div>
    <form (ngSubmit)="submitForm()" [formGroup]="dailyForm">
      <div class="modal-body">
        <div class="row">

          <div class="col-12 col-md-6" *ngIf="typeAction === 1">
            <div class="form-group">
              <label class="col-form-label">Company:</label>
              <div class="controls">
                <div class="input-prepend input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                  </div>
                  <select (change)="getCustomers()" class="form-control" formControlName="company">
                    <option *ngFor="let item of companies" value="{{item.value}}">{{item.label}}</option>
                  </select>
                </div>
              </div>
            </div>
          </div>

          <div class="col-12 col-md-6" *ngIf="typeAction === 1">
            <div class="form-group">
              <label class="col-form-label">Customer:</label>
              <div class="controls">
                <div class="input-prepend input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                  </div>
                  <select (change)="getAircraft()" class="form-control" formControlName="customer">
                    <option *ngFor="let item of customers" value="{{item.value}}">{{item.label}}</option>
                  </select>
                </div>
              </div>
            </div>
          </div>

          <div class="col-12 col-md-6" *ngIf="typeAction === 1">
            <div class="form-group">
              <label class="col-form-label">Aircraft:</label>
              <div class="controls">
                <div class="input-prepend input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                  </div>
                  <select (change)="setWorkOrder()" class="form-control" formControlName="aircraft">
                    <option *ngFor="let item of aeroplanes" value="{{item.aircraft}}">{{item.aircraft}}</option>
                  </select>
                </div>
              </div>
            </div>
          </div>

          <div class="col-12 col-md-6" *ngIf="typeAction === 2">
            <div class="form-group">
              <label class="col-form-label">Aircraft:</label>
              <div class="controls">
                <div class="input-prepend input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                  </div>
                  <input class="form-control" formControlName="aircraft" [readOnly]="true" readonly type="text">
                </div>
              </div>
            </div>
          </div>

          <div class="col-12 col-md-6" *ngIf="typeAction === 1">
            <div class="form-group">
              <label class="col-form-label">Work Order:</label>
              <div class="controls">
                <div class="input-prepend input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                  </div>
                  <input class="form-control" formControlName="workOrder" type="text">
                </div>
              </div>
            </div>
          </div>

          <div class="col-12 col-md-6" *ngIf="typeAction === 2">
            <div class="form-group">
              <label class="col-form-label">Work Order:</label>
              <div class="controls">
                <div class="input-prepend input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                  </div>
                  <input class="form-control" formControlName="workOrder" [readOnly]="true" readonly type="text">
                </div>
              </div>
            </div>
          </div>

          <div class="col-12 col-md-6">
            <div class="form-group">
              <label class="col-form-label">Task:</label>
              <div class="controls">
                <div class="input-prepend input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                  </div>
                  <input class="form-control" formControlName="task" type="text">
                </div>
              </div>
            </div>
          </div>

          <div class="col-12 col-md-6">
            <div class="form-group">
              <label class="col-form-label">Complete:</label>
              <div class="controls">
                <div class="input-prepend input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                  </div>
                  <input class="form-control" formControlName="complete" mask="separator.0" thousandSeparator=","
                         type="text">
                </div>
              </div>
            </div>
          </div>

          <div class="col-12 col-md-6">
            <div class="form-group">
              <label class="col-form-label">Reason:</label>
              <div class="controls">
                <div class="input-prepend input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                  </div>
                  <select class="form-control" formControlName="reason">
                    <option *ngFor="let item of catalogReason" value="{{item.value}}">{{item.label}}</option>
                  </select>
                </div>
              </div>
            </div>
          </div>

          <div class="col-12 col-md-6">
            <div class="form-group">
              <label class="col-form-label">Date:</label>
              <div class="controls">
                <div class="input-prepend input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                  </div>
                  <input class="form-control" formControlName="dateId" type="date">
                </div>
              </div>
            </div>
          </div>

        </div>
      </div>

      <div class="modal-footer">
        <button *ngIf="typeAction === 1" class="btn btn-primary rounded" type="submit">
          <i aria-hidden="true" class="fa fa-plus"></i>
          Add
        </button>
        <button *ngIf="typeAction === 2" class="btn btn-primary rounded" type="submit">
          <i aria-hidden="true" class="fa fa-plus"></i>
          Updated
        </button>
        <button (click)="closeModal()" class="btn btn-danger rounded" data-dismiss="modal" type="button">
          <i aria-hidden="true" class="fa fa-close"></i> Cancel
        </button>
      </div>
    </form>
  </div>
</ng-template>

<ng-template #deleteModal>
  <div class="modal-content">
    <div class="modal-header">
      <h5 class="modal-title">Confirmation</h5>
    </div>

    <div class="modal-body">
      <h4 class="text-center">Are you sure to delete the record??</h4>
    </div>

    <div class="modal-footer">
      <button (click)="delete()" class="btn btn-danger rounded" type="button">
        <i aria-hidden="true" class="fa fa-plus"></i>
        Accept
      </button>
      <button (click)="closeModal()" class="btn btn-info rounded" data-dismiss="modal" type="button">
        <i aria-hidden="true" class="fa fa-close"></i> Cancel
      </button>
    </div>
  </div>
</ng-template>
